Bug 1265157 - Evolution hangs with 100% CPU in email composer
Evolution hangs with 100% CPU in email composer
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 05:05 EDT by Christian Kirbach
Modified: 2015-11-05 06:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 06:20:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace (63.54 KB, text/plain)
2015-09-22 05:05 EDT, Christian Kirbach
no flags Details
stack trace (62.92 KB, text/plain)
2015-09-22 05:12 EDT, Christian Kirbach
no flags Details

  None (edit)
Description Christian Kirbach 2015-09-22 05:05:08 EDT
Created attachment 1075744 [details]
stack trace

Description of problem:
Evolution hangs with 100% CPU in email composer


Version-Release number of selected component (if applicable):
evolution.x86_64                                                                             3.16.5-1.fc22 

How reproducible:
This cannot be triggered at will. This time it happened when replying to an HTML email and deleting quoted emails that contain some small images



Expected results:
No hang

Additional info:

I collected two core dumps with gcore while the hang condition was going on. Attaching the stack traces. I can provide the core dump binaries on request.
strace did not output anything.
Comment 1 Christian Kirbach 2015-09-22 05:12:18 EDT
In my opinion this might be a WebKit issue, but I am not sure.
Comment 2 Christian Kirbach 2015-09-22 05:12 EDT
Created attachment 1075746 [details]
stack trace
Comment 3 Milan Crha 2015-09-23 02:11:48 EDT
Thanks for a bug report. I agree the backtraces show evolution somewhere in the WebKit code, thus it looks like a WebKit issue.

Tomas, could you have a look, please? I checked the GNOME bugzilla and I didn't find anything similar there (the closest are closed as fixed, but also contain selection-related calls, whose are missing in the Christian's backtraces).
Comment 4 Tomas Popela 2015-09-25 01:18:56 EDT
I never saw that composer could stuck this way (I use plain text composer, maybe that's the reason). There is nearly nothing to do about it as it could be similar to [0], but without reliable reproducer it's hard to guess what's causing it.

[0] - https://bugzilla.gnome.org/show_bug.cgi?id=752997
Comment 5 Christian Kirbach 2015-11-05 06:20:33 EST
I cannot find the email any more that caused this issue.

Note You need to log in before you can comment on or make changes to this bug.